### Function

# Cogl param_spec_color

#### Declaration [src]

    GParamSpec*
    cogl_param_spec_color (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      const CoglColor* default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a `GParamSpec` for properties using `CoglColor`.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Short name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description (can be translatable).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_value`

  Type: `CoglColor`

  Default value.

  The data is owned by the caller of the function.

`flags`

  Type: `GParamFlags`

  Flags for the param spec.

#### Return value

Type: `GParamSpec`

The newly created `GParamSpec`.

The caller of the function takes ownership of the data, and is responsible for freeing it.